Skip to main content
`Ctrl`+`K`

# PetscLogHandlerRegister

Register a new `PetscLogHandler`

## Synopsis

    PetscErrorCode PetscLogHandlerRegister(const char sname[], PetscErrorCode (*function)(PetscLogHandler))

Not Collective, No Fortran Support

## Input Parameters

- sname - The name of a new user-defined creation routine

- function - The creation routine

## Example Usage

        PetscLogHandlerRegister("my_profiler", MyPetscLogHandlerCreate);

Then, your `PetscLogHandler` type can be chosen with the procedural interface via

        PetscLogHandlerCreate(MPI_Comm, PetscLogHandler *);
        PetscLogHandlerSetType(PetscFE, "my_fe");

## See Also

Profiling, `PetscLogHandler`, `PetscLogHandlerCreate()`, `PetscLogHandlerSetType()`, `PetscLogHandlerGetType()`

## Level

developer

## Location

src/sys/logging/handler/interface/lhreg.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages